<template>
  <b-nav-item-dropdown id="nav7_ddown" right>
    <template slot="button-content"
      >{{ cartStore.nbArticles }} <font-awesome-icon icon="shopping-cart" /> Panier</template
    >
    <!-- Pour Niko -->
    <!-- On utilise v-for pour boucler sur les articles du panier-->
    <b-dropdown-item v-for="(item, idx) in cartStore.cart" :key="item.id" w-100>
      <b-row>
        <!-- Nom du produit -->
        <b-col md="12">{{ item.product.name }}</b-col>
      </b-row>
      <b-row>
        <!-- Variante du produit -->
        <b-col md="12" v-if="item.product.variant">{{ item.product.variant.properties.toString() }}</b-col>
      </b-row>

      <b-row>
        <!-- Quantité du produit -->
        <b-col md="2">x {{ item.quantity }}</b-col>
        <!-- Le prix minimum du produit -->
        <b-col md="6">{{ item.product.minPrice | euro }}</b-col>
        <b-col md="4">
          <!-- Bouton delete article -->
          <b-button size="sm" variant="danger" @click="deleteToCart(idx)"><font-awesome-icon icon="trash"/></b-button>
        </b-col>
      </b-row>
    </b-dropdown-item>
    <b-dropdown-divider></b-dropdown-divider>
    <b-dropdown-item>
      <b-row>
        <b-col md="6">Total</b-col>
        <!-- Total articles -->
        <b-col md="6">{{ cartStore.totalCart | euro }}</b-col>
      </b-row>
      <b-row>
        <b-col md="12">
          <router-link to="/panier">
            <b-button variant="warning">Voir le panier</b-button>
          </router-link>
        </b-col>
      </b-row>
    </b-dropdown-item>
  </b-nav-item-dropdown>
</template>
<script>
import { mapState, mapActions } from "vuex";
import { cartService } from "@/_services/cart.service";
export default {
  computed: {
    // récupération infos client
    ...mapState({
      cartStore: state => state.cartStore
    })
  },
  methods: {
    deleteToCart(idx) {
      this.$store.dispatch("deleteToCart", { index: idx });
    }
  }
};
</script>
